 General Instructions

General Instructions

With the Print Options Editor you can change all options used by frontend printing. The options are functionally grouped in several tab pages. You can get detailed help by pressing the F1 key on a focused option. With the index you can browse through the technical names of the options.

Use of the Administration page:
The Reset All button sets all options except custom options and printer specific options on all pages to their default values.

Use of the buttons:
Apply saves all changed options without further action. As soon as the Apply button is active changes were made on a page.

OK saves all changed options and terminates the editor. You should restart SAP GUI to activate the changes for the next printout.

Cancel terminates the editor without applying any changes.


Level of log information

Technical name: LogLevel

Description

Determines the level of details in the log file.

Select No Log File (technical value: 0), if no log files are to be created.
Select Default (technical value: 1) for the normal live operation.
Error Analysis (technical value: 5) has to be selected for troubleshooting by SAP support.
Only on Request (technical value: 9) should only be selected on special request by SAP support because a lot of information is written. It is not usually required.

Values

Default Value | Other Values
1 | 0, 5, 9


Keep log files

Technical name: KeepFile

Description

If this option is unselected (technical value 0), job-specific log files and print data in the Path for log files are deleted after they are successfully printed. They are retained if there are errors.
If this option is selected (technical value 1), job-specific log files and print data are retained even after they have been successfully printed.

Values

Default Value | Other Values
0 | 1


Log memory consumption

Technical name: MemoryLog

Description

If this option is selected (technical value: 1), memory consumption information is written into the log file.

Values

Default Value | Other Values
0 | 1


Log Windows APIs

Technical name: WinAPILog

Description

If this option is selected (technical value: 1), Windows API calls are logged into a separate log file.

Values

Default Value | Other Values
0 | 1


Behalte Logdateien

Enable properties button

Technical Name: PropertyChangeAllowed

Description

If this option is selected (technical value 1), you are able to choose "Properties" in the Windows print dialog. Note that conflicts may exist between the print parameters that the SAP system sends and the print parameters that you chose in the Windows print dialog. The behavior might not be as expected. In this case the options should be unchecked (technical value 0).

The properties can be changed for SAPWIN device types only.

Values

Default Value | Other Values
1 | 0


Enable cancel button

Technical name: EnableCancelButton

Description

If this option is selected (technical value 1), you are able to choose "Cancel" in the Windows

print dialog. The print job is not printed. Nevertheless the system deletes the spool request in the SAP system if you chose the setting 'Delete After Printing'. If you want to prevent this behavior you might uncheck this option (technical value 0). Then the "Cancel" button is disabled in the print dialog.

Values

Default Value | Other Values
1 | 0


Path for log files

Technical name: LogPath

Description

Path under which the print data and log files are saved.

· You can select a new path with the 'Browse' button. The path is activated as soon as you save all options. This option is only available for SAPSprint. The LogPath for frontend printing is identical to the SAPGUI trace directory and can only be changed in the options dialog of SAPLOGON.

· You can open a Windows Explorer window to view the content of the current directory with the 'Open' button. The current directory is the active value of the LogPath option, or the content of the LogPath entry field as long as the option is not yet saved.

· You can delete all files in the active LogPath directory with the 'Clean up' button. The active directory is always the last saved value of LogPath.

Values

Default Value | Other Values
Subdirectory 'Logs' in the installation directory of the SAPSprint service, respectively the trace directory of SAPGUI for frontend printing. | Any path for which the user who is running the SAPSprint service must have access authorization. It cannot be modified here for frontend printing.


 Icon Mode

Icon Mode (printer specific)

Technical name: IconMode

Description

"IconAsGraphic": All icons are printed as (colored) Bitmap (as in SAPGUI).
"IconAsFont": All printable icons are taken from the "SAPIcons normal" font. Other icons are printed as '#'.

Values

Default Value | Other Values
"IconsAsGraphics" | "IconsAsFont"


 Physical paper boundaries

Physical paper boundaries

Technical name: enable_phys_margins

Description

1 = If required by the user, the physical paper boundaries are used for printing (see SAPWIN commands).
0 = The printable area of the relevant printer is always used, even if you activate physical positioning for each command.
2 = Physical positioning is always activated, even if the command "logical" is required. The default remains "logical" (important for lists). Therefore, you must ensure that you make a switch. The switch also occurs if you use the "Baseline" command (\eOCb).

Values

Default Value | Other Values
1 | 0, 2


Frame mode for ABAP lists

Frame mode for ABAP lists (printer specific)

Technical name: GraphRahmenMode

Description

Lines (technical value: 0): Print frame as lines.
Substitute character (technical value: 1): Print frame as substitute characters (+, -, |).
No frames at all (technical value: 2): Do not print frame.

Values

Default Value | Other Values
0 | 1, 2


 ABAP list color gap

ABAP list color gap

Technical name: ListColorGap

Description

Size of gap (in pixel) between lines of ABAP lists printed in color mode. This option might be necessary to overcome overlapping characters in colored printouts.

Values

Default Value | Other Values
0 | any number < 21


Color mode

Technical name: ColorMode

Description

If supported (technical value: 0): Use color only if supported by the printer.
Always (technical value: 1): Always use color, even if the printer is b/w. Note: As a result, the printout may be unreadable.
Never (technical value: 2): = Do not use color even if the printer supports it.

Values

Default Value | Other Values
1 | 0, 2


 Windows character set

Windows character set

Technical name: WinCharSet

This must only be changed on request of SAP support.

Values

Default Value | Other Values
0 (ANSI) |


 Spool format

Spool format (printer specific)

Technical name: SwinDataType

Description

Set the spool format for SAPWIN data. The Windows spooler does not understand "SAPWIN" and therefore the system uses the default which was set at the printer or the format that Windows considers to be the best.
See also note 914869.

Values

Default Value | Other Values
"SAPWIN" | "EMF", "RAW", etc.


Print empty pages

Do not print empty pages (printer specific)

Technical name: no_empty_pages

Description

If the option is selected (technical value: 1), blank pages are not printed.
If the option is unselected (technical value: 0), blank pages are also printed.

Values

Default Value | Other Values
1 | 0


Print only portrait mode

Portrait mode only (printer specific)

Technical name: PortraitOnly

Description

If the option is selected (technical value: 1), you can only print in portrait mode. This is useful to avoid printing in landscape mode on printers where landscape mode is very slow.

Values

Default Value | Other Values
0 | 1


Print spaces

Print spaces (printer specific)

Technical name: print_spaces

Description

If the option is selected (technical value: 1), spaces are underlined for the default of a CPI value (single character positioning).

Values

Default Value | Other Values
0 | 1


Background mode BW

Background mode BW (printer specific)

Technical name: SWBackground

Description

If the option is selected (technical value: 1) and the color is deactivated (see ColorMode), then gray backgrounds or hatches are printed if a colored list is displayed.
If the option is unselected (technical value: 0), the background is always white.

Values

Default Value | Other Values
1 | 0


Background mode color

Background mode color (printer specific)

Technical name: ColorBackground

Description

If the option is selected (technical value: 1), colored background is printed depending on the value of Color Mode.
If the option is unselected (technical value: 0), the background is always printed white.

Values

Default Value | Other Values
1 | 0


Force color for ABAP lists

Technical name: ForceColor

Description

If the option is selected (technical value: 1), ABAP lists are printed in color.
If the option is unselected (technical value: 0), color information is transferred into gray scale.

Values

Default Value | Other Values
0 | 1


Ignore collation

Technical name: IgnoreCollation

Description

If the option is selected (technical value: 1), the collation flag of the printer driver is ignored.
If the option is unselected (technical value: 0), the collation flag of the printer driver is used.

Values

Default Value | Other Values
0 | 1


Use copy counter

Use copy counter (printer specific)

Technical name: use_copies

Description

If the option is selected (technical value: 1), the system transfers only one print output and the copy counter to the spool system rather than transferring a certain number of individual print outputs.

Values

Default Value | Other Values
0 | 1


 PDF packet size

PDF packet size

Technical name: PDFPacketSize

Description

Only used with SAPPDFPRINT. Changes the number of PDF files which will be combined to one larger PDF for printing. Should only be changed on request of SAP support. Changing this value to an inappropriate value can result in tremendous performance issues.

Values

Default Value | Other Values
100 | any number < 100000


 PDF paper width

PDF paper width (printer specific)

Technical name: PDFPaperWidth

Description

Only used with SAPPDFPRINT. Sets used paper width in points. Should only be used in exceptional cases in combination with PDFPaperHeight.

Values

Default Value | Other Values
595 (corresponds to DINA4) | any number (< 10000) according to the used paper


 PDF paper height

PDF paper height (printer specific)

Technical name: PDFPaperHeight

Description

Only used with SAPPDFPRINT. Sets used paper height in points. Should only be used in exceptional cases in combination with PDFPaperWidth.

Values

Default Value | Other Values
842 (corresponds to DINA4) | any number (< 10000) according to the used paper


 PDF paper size

PDF paper size (printer specific)

Technical name: PDFPaperSize

Description

Only used with SAPPDFPRINT. Sets the size of the paper in the print API to SAPPDFPRINT. Change according to the table below if you don't use the default paper size.

Values

Default: 9 (A4 210 x 297 mm)
Other:
Value | Description
1 | Letter 8 1/2 x 11 in
2 | Letter Small 8 1/2 x 11 in
3 | Tabloid 11 x 17 in
4 | Ledger 17 x 11 in
5 | Legal 8 1/2 x 14 in
6 | Statement 5 1/2 x 8 1/2 in
7 | Executive 7 1/4 x 10 1/2 in
8 | A3 297 x 420 mm
9 | A4 210 x 297 mm
10 | A4 Small 210 x 297 mm
11 | A5 148 x 210 mm
12 | B4 (JIS) 250 x 354
13 | B5 (JIS) 182 x 257 mm
14 | Folio 8 1/2 x 13 in
15 | Quarto 215 x 275 mm
16 | 10x14 in
17 | 11x17 in
18 | Note 8 1/2 x 11 in
19 | Envelope #9 3 7/8 x 8 7/8
20 | Envelope #10 4 1/8 x 9 1/2
21 | Envelope #11 4 1/2 x 10 3/8
22 | Envelope #12 4 \276 x 11
23 | Envelope #14 5 x 11 1/2
24 | C size sheet
25 | D size sheet
26 | E size sheet
27 | Envelope DL 110 x 220mm
28 | Envelope C5 162 x 229 mm
29 | Envelope C3 324 x 458 mm
30 | Envelope C4 229 x 324 mm
31 | Envelope C6 114 x 162 mm
32 | Envelope C65 114 x 229 mm
33 | Envelope B4 250 x 353 mm
34 | Envelope B5 176 x 250 mm
35 | Envelope B6 176 x 125 mm
36 | Envelope 110 x 230 mm
37 | Envelope Monarch 3.875 x 7.5 in
38 | 6 3/4 Envelope 3 5/8 x 6 1/2 in
39 | US Std Fanfold 14 7/8 x 11 in
40 | German Std Fanfold 8 1/2 x 12 in
41 | German Legal Fanfold 8 1/2 x 13 in


Use PDFDelayTime

PDF Delay Time (printer specific)

Technical name: PDFDelayTime

Description

Only used with SAPPDFPRINT. If you activate this option (technical value: 1), a delay time in seconds will be adjusted. This delays the deletion of temporary font data, which are neccessary to print PDF data. If this option is not set, the following problem can happen: text could be displaced or converted to useless characters. You should only activate this option, if this problem appears because the delay time will increase the overall processing time.

Values

Default Value | Other Values
0 | any number < 10000


Print PDF as RAW

Print PDF as RAW (printer specific)

Technical name: PDFasRAW

Description

If SAPPDFPRINT is installed and the option is unselected (technical value: 0), PDF files generated by the Adobe Document Services (ADS) are printed directly with SAPPDFPRINT. If the option is selected (technical value: 1), PDF files are treated as RAW files. In the RAW mode the printer itself must be able to handle PDF files.
If SAPPDFPRINT is not installed, the value of 0 makes no sense.

Values

Default Value | Other Values
0, if SAPPDFPRINT is installed as component of SAPSprint. 1 otherwise. | 0, 1


Shrink to fit paper size

Shrink to fit paper size (printer specific)

Technical name: PDFShrinkToFit

Description

Only used with SAPPDFPRINT. If the option is selected (technical value: 1), the printout is scaled to fit on the used paper. For example, letter is printed on A4 without user interaction.

Values

Default Value | Other Values
1 | 0


Emit Postscript

Emit Postscript (printer specific)

Technical name: PDFEmitPS

Description

Only used with SAPPDFPRINT. If the option is selected (technical value: 1), Postscript is generated from SAPPDFPRINT. In this case, ensure that the printer is able to print Postscript.

Values

Default Value | Other Values
0 | 1


Use external paper size

Use external paper size (printer specific)

Technical name: PDFUseExternalPaperSize

Description

Only used with SAPPDFPRINT. If the option is selected (technical value: 1), the values of PDFPaperHeight and PDFPaperWidth are used. Otherwise, the size is determined from the PDF file itself. In this case, the values of PDFPaperHeight and PDFPaperWidth are ignored. The default value is recommended.

Values

Default Value | Other Values
0 | 1


Alternativ port determination

Alternative port determination

Technical name: UseAlternativPath

Description

Only used with SAPPDFPRINT. For printing with SAPPDFPRINT the name of the used printer port is needed. Usually this is determined from the registry path HKEY_CURRENT_USER\Software\Microsoft\Windows NT\CurrentVersion\Devices. This ensures that the port for all printer queues, including shared ones, can be determined if the printer was installed correctly. However the HKEY_CURRENT_USER path might be a problem if a printer is used which is not defined for the user SAPSprint is running with. In this case the printer is not found there.

Check this option (technical value: 1), to get the printer port determined from the registry path HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Print\Printers instead. However, shared printers cannot be determined from here. Use this option only, if you don't have shared printers.

Values

Default Value | Other Values
0 | 1


Transparent bitmaps

Technical name: transparent_bitmaps

Description

If the option is selected (technical value: 1), white is interpreted as translucent when you print TIFF graphics. Because of this, the printing is compatible with other device types (for example, HPLJ4).
If the option is unselected (technical value: 0), the graphic overwrites a background that may be available. Icons are always printed non-transparently, regardless of how the parameter is set. For some printer types, graphics are either only black and white (no gradation) or completely unreadable. In this case, unselect this option (technical value: 0).

Values

Default Value | Other Values
1 | 0


Space compensation for lists

Technical name: space_comp

Description

If the option is selected (technical value: 1) in Unicode systems, characters of ABAP lists that are double the width are issued with double size and if possible as many spaces are subsequently suppressed so that the layout of the list will look like in non-Unicode systems.

Values

Default Value | Other Values
0 | 1


Reset all changed values

Reset all changed values (printer specific)

Technical name: DcAllFields

Description

If this option is selected (technical value: 1), ALL settings that the relevant printer understands are re-sent after each change. This parameter is relevant for some other settings.

Note: This option should only be changed on request of SAP support.

Values

Default Value | Other Values
1 | 0


 Barcode position shift

Barcode position shift

Technical name: barcode_yshift

Description

The print position of barcodes will be shifted down the specified number of pixels.

Values

Default Value | Other Values
50 | any number < 1000


 Font size mode

Font size mode (printer specific)

Technical name: use_old_fontsize

Description

0 = Use standard calculation type for the font sizes according to Windows. In addition, this mode is compatible with other device types such as HPLJ4 and Postscript.
1 = Use previous (incorrect) calculation type. The font might be smaller. This should only be used for very old SAPscript forms. Usually it is not necessary.

Values

Default Value | Other Values
0 | 1


 Custom Option

Custom Option

Description

The custom fields can be used to enter new options which are not yet supported from Print Options Editor.
You can also enter printer specific options for the ones which are indicated accordingly. Enter the technical name of the option in the 'Custom Key' field for example HPLaserJet:ColorBackground for a printer specific option ColorBackground for printer HPLaserJet.

Enter the value in one of the two value fields according to the type of the value. In the example above you may enter 0 or 1 in the 'Custom Integer Value' field. Only one of the value fields may be filled. If you enter a value in the 'Custom String Value' field, any content of 'Custom Integer Value' is ignored.


 Delete Custom Option

Delete Custom Option

Description

The custom fields can be used to enter new options which are not yet supported from Print Options Editor. You can also enter printer specific options for the ones which are indicated accordingly.

These options cannot be deleted with the Reset All button on the Administration page.

To delete entries made with the custom fields, enter the technical name of the option you want to delete in the Custom Key entry field and press the Delete button.


Font Substitution

 Font Substitution

Description

Font substitution is used to specify mappings between SAP font names and Windows font names for printing. SAPWIN has a built-in font substitution for Asian languages, so the legacy SAP font and printer font fields should not be used anymore. However if you want to override the built-in font substitution, specify a SAP font name in one of the SAP font fields and choose a substitute printer font with the corresponding 'Choose font' button. A Windows font dialog opens where you can select one of the installed fonts. If you confirm the dialog the selected font will appear in the PrinterFont entry field.


Reset All

Description

Resets all options on all pages except custom- and printer-specific ones to their default value.


 Language of help files

Language of help files

Description

Display help in the selected language.

Values

Default Value | Other Values
"English" | "Deutsch"